Imagick::setBackgroundColor
Imagick::setCompression
Imagick
PHP Manual

# Imagick::setColorspace

(No version information available, might only be in SVN)

Imagick::setColorspace — Set colorspace

### Description

bool Imagick::setColorspace ( int `$COLORSPACE` )

Sets the global colorspace value for the object. This method is available if Imagick has been compiled against ImageMagick version 6.5.7 or newer.

### Parameters

`COLORSPACE`

  One of the COLORSPACE constants

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::setBackgroundColor
Imagick::setCompression
Imagick
PHP Manual